List Feedback
get
/public/v1/feedbackpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of FeedbackResource
dataobject[]required▶Show 16 child attributesHide child attributes
idstringrequiredExample:f1e2e3d4-b5a6-47c8-9d0e-1f2a3b4c5d6ereferencestringrequiredExample:FB-2024-00123feedback_typestringrequiredExample:complaintstatusstringrequiredExample:newsentimentstring | nullrequiredExample:negativedetailsstring | nullrequiredExample:The participant was unhappy with the support providedfollow_up_detailsstring | nullrequiredExample:Followed up with the participant and resolved the issuecomplainant_namestring | nullrequiredExample:Jane Smithcomplainant_emailstring | nullrequiredExample:jane.smith@example.comcomplainant_phonestring | nullrequiredExample:0400000000subject_namestring | nullrequiredExample:John Doecreated_atstringrequiredExample:2024-01-15T10:30:00+00:00updated_atstring | nullrequiredExample:2024-01-16T14:00:00+00:00archived_atstring | nullrequiredExample:2024-06-01T00:00:00+00:00assigneeobject | nullrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:John Doe
form_submissionobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:s1u2b3m4-i5s6-47s8-9i0o-1n2a3b4c5d6e
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error